Name:           perl-Catalyst-Plugin-Session-State-URI
Version:        0.15
Release:        1%{?dist}
Summary:        Saves session IDs by rewriting URIs delivered to the client
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session-State-URI/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Session-State-URI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst::Plugin::Session) >= 0.27
BuildRequires:  perl(Catalyst::Plugin::Session::State::Cookie) >= 0.03
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::TokeParser::Simple)
BuildRequires:  perl(MIME::Types)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Test::MockObject) >= 1.01
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::WWW::Mechanize::Catalyst)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Find)
BuildRequires:  perl(URI::QueryParam)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Catalyst::Plugin::Session::State::URI - Saves session IDs by rewriting URIs
delivered to the client, and extracting the session ID from requested URIs.

%prep
%setup -q -n Catalyst-Plugin-Session-State-URI-%{version}

%build
PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=1 make test

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Sep 25 2010 Iain Arnell <iarnell@gmail.com> 0.15-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Sat Jul 24 2010 Iain Arnell <iarnell@gmail.com> 0.14-1
- update to latest upstream

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-4
- Mass rebuild with perl-5.12.0

* Mon Jan 11 2010 Iain Arnell <iarnell@gmail.com> 0.13-3
- fix source0 location (was BADURL)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.13-2
- rebuild against perl 5.10.1

* Sun Oct 18 2009 Iain Arnell <iarnell@gmail.com> 0.13-1
- update to latest upstream version
- update BRs for tests

* Sat Oct 10 2009 Iain Arnell <iarnell@gmail.com> 0.12-1
- update to latest upstream version

* Fri Jul 31 2009 Iain Arnell <iarnell@gmail.com> 0.11-1
- update to latest upstream version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Iain Arnell <iarnell@gmail.com> 0.09-1
- update to latest upstream

* Wed Feb 25 2009 Iain Arnell <iarnell@gmail.com> 0.08-2
- drop unnecessary explicit requires

* Sun Feb 22 2009 Iain Arnell 0.08-1
- Specfile autogenerated by cpanspec 1.77.
- enable pod tests
